package com.uas.platform.b2b.erp.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.uas.platform.b2b.erp.model.BarAcceptNotifyDown;
import com.uas.platform.b2b.erp.service.BarAcceptNotifyDownService;
import com.uas.platform.b2b.model.BarSendNotify;

@Service
public class BarAcceptNotifyDownServiceImpl implements BarAcceptNotifyDownService{

	@Override
	public List<BarAcceptNotifyDown> convertBarAcceptNotifys(List<BarSendNotify> bans) {
		List<BarAcceptNotifyDown> acceptNotifyDowns = new ArrayList<BarAcceptNotifyDown>();
		for(BarSendNotify barSendNotify : bans) {
			acceptNotifyDowns.add(new BarAcceptNotifyDown(barSendNotify));
		}
		return acceptNotifyDowns;
	}

}
